Check-in [77f7c5f39d]
Not logged in

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview

SHA1 Hash:77f7c5f39d776d23cef7e137399da71124f7e3c0
Date: 2013-02-21 13:05:56
User: root
Comment:240 sec timeout at 1st shutdown did not shutdown, fixed

Tags And Properties
Changes

Changes to woof-code/rootfs-skeleton/usr/bin/pupdialog

@@ -5,10 +5,11 @@
 #110924 when no window decoration, also do not appear in taskbar. menu dlg to fit in 480 pixel screen vert. fix pupkill.
 #111011 add --checklist dialog, --helpwindow parameter.
 #111021 increase limit, number commandline items.
 #120131 rodin.s: adding gettext to help
 #120203 think need OUTPUT_CHARSET=UTF-8
+#130221 problem, window close-box and timeout both exit with 255. change timeout to 254 (differs from dialog).
 
 export TEXTDOMAIN=pupdialog
 export OUTPUT_CHARSET=UTF-8
 
 #examples passed params:
@@ -250,11 +251,11 @@
  done
  if [ $nTIMEOUT -eq 0 ];then #has timed out.
   kill $dlgPID
   rm -f /tmp/pupdialog_gtkrc${$}
   rm -f /tmp/pupdialog_retvals${$}
-  exit 255 #as per dialog.
+  exit 254 #255 #as per dialog. 130221 change to 254.
  fi
 else
  #note, jwm will use module16.xpm as the window icon...
  /tmp/pupdialog_exec --center --class="module16" --program=PUP${$}DLG > /tmp/pupdialog_retvals${$}
 fi

Changes to woof-code/rootfs-skeleton/usr/bin/wmpoweroff

@@ -1,10 +1,11 @@
 #!/bin/sh
 #introduced v0.9.8
 #called from /root/.fvwm95rc, .jwmrc at shutdown.
 #110918 call new script 'shutdownconfig'.
 #120216 offer to set default language in initrd.
+#130221 return code 255 to abort shutdown.
 
 . /etc/rc.d/PUPSTATE
 if [ $DISPLAY ];then #paranoid precaution, check X still running
 
  #120216 offer to set default language in initrd...
@@ -20,11 +21,11 @@
  fi
 
  if [ $PUPMODE -eq 5 ];then #first shutdown.
   shutdownconfig #dlgs for creating save-file.
   #...writes results to /tmp/shutdownconfig_results, which /etc/rc.d/rc.shutdown reads.
-  [ $? -eq 254 ] && exit #abort shutdown.
+  [ $? -eq 255 ] && exit #abort shutdown. 130221 change from 254.
  fi
 fi
 
 #/sbin/pup_event_frontend_d will quit if this file exists...
 echo -n "poweroff" > /tmp/wmexitmode.txt

Changes to woof-code/rootfs-skeleton/usr/bin/wmreboot

@@ -1,10 +1,11 @@
 #!/bin/sh
 #introduced v0.9.8
 #called from /root/.fvwm95rc, .jwmrc at shutdown.
 #110918 call new script 'shutdownconfig'.
 #120216 offer to set default language in initrd.
+#130221 return code 255 to abort shutdown.
 
 . /etc/rc.d/PUPSTATE
 if [ $DISPLAY ];then #paranoid precaution, check X still running
 
  #120216 offer to set default language in initrd...
@@ -20,11 +21,11 @@
  fi
 
  if [ $PUPMODE -eq 5 ];then #first shutdown.
   shutdownconfig #dlgs for creating save-file.
   #...writes results to /tmp/shutdownconfig_results, which /etc/rc.d/rc.shutdown reads.
-  [ $? -eq 254 ] && exit #abort shutdown.
+  [ $? -eq 255 ] && exit #abort shutdown. 130221
  fi
 fi
 
 #/sbin/pup_event_frontend_d will quit if this file exists...
 echo -n "reboot" > /tmp/wmexitmode.txt

Changes to woof-code/rootfs-skeleton/usr/sbin/shutdownconfig

@@ -24,10 +24,11 @@
 #120512 Karl Godt: some parameters missing from lines 626, 630, 642.
 #120514 Karl Godt: precaution, save-file must be bigger than size used in ram.
 #120823 rerwin: avoid saving personal data if flag set in /etc (by remasterpup2, file /etc/personal_data_save_disabled).
 #130128 support udf f.s. (see also sfsget, puppyinstaller, pmount, pup_event_frontend_d, drive_all, probepart).
 #130216 support f2fs.
+#130221 the 240 sec timeout to shutdown without saving, actually aborts timeout. fixed. see also pupdialog, wmpoweroff, wmreboot.
 
 if [ ! $DISPLAY ];then
  export LANG=C #110928 console shutdown using 'dialog', disable i18n.
 else
  export OUTPUT_CHARSET=UTF-8
@@ -575,13 +576,16 @@
 # some word processing now...
 T_canceltitle="$(gettext 'Click close-box to cancel shutdown')"
 T_countdown="$(gettext 'Shutdown in TIME seconds')"
 T_savetofile="$(gettext 'SAVE TO FILE')"
 T_savetopart="`eval_gettext \"SAVE TO \\\${xPDEV}\"`"
-T_orwait240="$(gettext 'Or, wait 240 seconds to shutdown without saving session...')"
+T_orwait240="$(gettext '(Or, wait 240 seconds to shutdown without saving session)')"
 T_save="$(gettext 'SAVE')"
 T_cd="$(gettext 'SAVE TO CD')"
+
+#130221 note, pupdialog will exit with 255 if click window close-box, 254 if timeout.
+# former, want to abort shutdown, latter, shutdown without saving.
 
 case $xDEVFS in
  ext2|ext3|ext4|reiserfs|minix|btrfs|f2fs) #linux f.s.  130216 add f2fs.
   #do not allow save to entire partition if pup installed in a subdirectory...
   xPSUBDIR="`echo -n "$PUPSFS" | cut -f 3 -d ',' | sed -e 's%/[^/]*$%%'`" #ex: sda3,ext2,/pup220/puppy.sfs will return /pup220
@@ -675,11 +679,11 @@
  ;;
  3)
   echo #case already handled above.
  ;;
  255)
-  exit 254 #wmreboot and wmpoweroff can cancel shutdown.
+  exit 255 #wmreboot and wmpoweroff can cancel shutdown. 130221
  ;;
  *)
   echo "$(gettext 'Shutting down without saving...')" >/dev/console
  ;;
 esac

Changes to woof-distro/Packages-puppy-noarch-official

@@ -3,10 +3,11 @@
 cpu-scaling-ondemand-1.3-3|cpu-scaling-ondemand|1.3-3||Setup|60K||cpu-scaling-ondemand-1.3-3.pet|+gtkdialog3|CPU Frequency Scaling Tool||||
 cups_pdf-0.8-1|cups_pdf|0.8-1||BuildingBlock|80K||cups_pdf-0.8-1.pet|+cups|print to pdf file||||
 cursor_themes-1-1|cursor_themes|1-1||Desktop|41276K||cursor_themes-1-1.pet||themes for mouse cursor||||
 defaults-chooser-0.8.6|defaults-chooser|0.8.6||Setup|56K||defaults-chooser-0.8.6.pet|+gtkdialog,+xdialog|Default Applications Chooser||||
 desk_background_collection_vicmz-20121204|desk_background_collection_vicmz|20121204||Desktop|7676K||desk_background_collection_vicmz-20121204.pet||A large wallpaper (desktop background) collection for Puppy Linux. collated by vicmz||||
+desk_background_generic-20130221|desk_background_generic|20130221||BuildingBlock|292K||desk_background_generic-20130221.pet||interesting generic wallpapers for all puppies, fairly small file sizes||||
 desk_background_precise-1.1|desk_background_precise|1.1||Desktop|196K||desk_background_precise-1.1.pet||wallpaper (desktop background) collection for Precise Puppy||||
 desk_background_precise2-1|desk_background_precise2|1||Desktop|3240K||desk_background_precise2-1.pet||wallpaper (desktop background) collection for Precise Puppy, created by futwerk||||
 desk_background_racy1-1.0|desk_background_racy1|1.0||Desktop|412K||desk_background_racy1-1.0.pet||desktop background images for Racy Puppy||||
 desk_background_raspup1-1.0|desk_background_raspup1|1.0||Desktop|52K||desk_background_raspup1-1.0.pet||background image for Puppy running in the Raspberry Pi arm board||||
 desk_background_wary0-1.0|desk_background_wary0|1.0||Desktop|220K||desk_background_wary0-1.0.pet||wallpaper (desktop background) collection for Wary Puppy||||

Changes to woof-distro/x86/ubuntu/precise/DISTRO_PKGS_SPECS-ubuntu-precise

@@ -119,10 +119,11 @@
 yes|dbus-libs|libdbus-1-3,libdbus-1-dev|exe,dev,doc,nls| #reports that qt4 must have the official libs.
 yes|d-conf|dconf-gsettings-backend,dconf-service,libdconf0,libdconf-dbus-1-0|exe,dev,doc,nls| #needed by gsettings-desktop-settings
 yes|ddcprobe||exe,dev>null,doc,nls
 yes|debianutils|debianutils|exe,dev,doc,nls
 yes|defaults-chooser||exe|
+yes|desk_background_generic||exe|
 yes|desk_background_precise||exe| #wallpapers for precise puppy.
 yes|desk_icon_theme_blue_moon||exe
 no|desk_icon_theme_jq8flat||exe
 yes|desk_icon_theme_neon||exe
 no|desk_icon_theme_original||exe